#ifndef EMULADOR_H
#define EMULADOR_H

#include "z80intrf.h"
#include "computer.h"

#define NUM_SNDBUF 2
#define DEFAULT_SOUND_FREQ 44100
#define DEFAULT_SOUND_BUFLEN 512 
#define DEFAULT_SOUND_CHANNELS 1

#define MUSIC_VOLUME 96

extern SDL_Surface *screen;
extern struct computer cmpt;
extern unsigned char *sound[];
extern char path_snaps[2049];
extern char path_taps[2049];
extern char path_mdrs[2049];

extern int mainMenu_frameskip;
void getChanges(void);
void setChanges(void);

void load_rom(char);

#ifdef DREAMCAST
void zx4all_back_keys(void);
void zx4all_remap_keys(void);
#else
#define zx4all_back_keys()
#define zx4all_remap_keys()
#endif

#endif
